org.eclipse.eef.impl

## Class EEFWidgetDescriptionImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.eef.impl.EEFControlDescriptionImpl
          - - org.eclipse.eef.impl.EEFWidgetDescriptionImpl

All Implemented Interfaces:
  EEFControlDescription, EEFWidgetDescription, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject

Direct Known Subclasses:
  EEFButtonDescriptionImpl, EEFCheckboxDescriptionImpl, EEFCustomWidgetDescriptionImpl, EEFHyperlinkDescriptionImpl, EEFLabelDescriptionImpl, EEFListDescriptionImpl, EEFRadioDescriptionImpl, EEFSelectDescriptionImpl, EEFTextDescriptionImpl

    public abstract class EEFWidgetDescriptionImpl
    extends EEFControlDescriptionImpl
    implements EEFWidgetDescription

An implementation of the model object 'EEF Widget Description'.

The following features are implemented:

- `Label Expression`
- `Help Expression`
- `Is Enabled Expression`
- `Property Validation Rules`

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

Fields
`protected static java.lang.String` `HELP_EXPRESSION_EDEFAULT` The default value of the '`Help Expression`' attribute.
`protected java.lang.String` `helpExpression` The cached value of the '`Help Expression`' attribute.
`protected static java.lang.String` `IS_ENABLED_EXPRESSION_EDEFAULT` The default value of the '`Is Enabled Expression`' attribute.
`protected java.lang.String` `isEnabledExpression` The cached value of the '`Is Enabled Expression`' attribute.
`protected static java.lang.String` `LABEL_EXPRESSION_EDEFAULT` The default value of the '`Label Expression`' attribute.
`protected java.lang.String` `labelExpression` The cached value of the '`Label Expression`' attribute.
`protected org.eclipse.emf.common.util.EList<EEFPropertyValidationRuleDescription>` `propertyValidationRules` The cached value of the '`Property Validation Rules`' reference list.

### Fields inherited from class org.eclipse.eef.impl.EEFControlDescriptionImpl

`identifier, IDENTIFIER_EDEFAULT`

### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eContainer`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Constructor Summary

Constructors
`protected` `EEFWidgetDescriptionImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`java.lang.String` `getHelpExpression()`
`java.lang.String` `getIsEnabledExpression()`
`java.lang.String` `getLabelExpression()`
`org.eclipse.emf.common.util.EList<EEFPropertyValidationRuleDescription>` `getPropertyValidationRules()`
`void` `setHelpExpression(java.lang.String newHelpExpression)`
`void` `setIsEnabledExpression(java.lang.String newIsEnabledExpression)`
`void` `setLabelExpression(java.lang.String newLabelExpression)`
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.eef.impl.EEFControlDescriptionImpl

`getIdentifier, setIdentifier`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eBasicSetContainer, eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.eef.EEFControlDescription

`getIdentifier, setIdentifier`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Field Detail

#### LABEL_EXPRESSION_EDEFAULT

    protected static final java.lang.String LABEL_EXPRESSION_EDEFAULT

The default value of the '`Label Expression`' attribute.

See Also:
  `getLabelExpression()`

#### labelExpression

    protected java.lang.String labelExpression

The cached value of the '`Label Expression`' attribute.

See Also:
  `getLabelExpression()`

#### HELP_EXPRESSION_EDEFAULT

    protected static final java.lang.String HELP_EXPRESSION_EDEFAULT

The default value of the '`Help Expression`' attribute.

See Also:
  `getHelpExpression()`

#### helpExpression

    protected java.lang.String helpExpression

The cached value of the '`Help Expression`' attribute.

See Also:
  `getHelpExpression()`

#### IS_ENABLED_EXPRESSION_EDEFAULT

    protected static final java.lang.String IS_ENABLED_EXPRESSION_EDEFAULT

The default value of the '`Is Enabled Expression`' attribute.

See Also:
  `getIsEnabledExpression()`

#### isEnabledExpression

    protected java.lang.String isEnabledExpression

The cached value of the '`Is Enabled Expression`' attribute.

See Also:
  `getIsEnabledExpression()`

#### propertyValidationRules

    protected org.eclipse.emf.common.util.EList<EEFPropertyValidationRuleDescription> propertyValidationRules

The cached value of the '`Property Validation Rules`' reference list.

See Also:
  `getPropertyValidationRules()`

### Constructor Detail

#### EEFWidgetDescriptionImpl

    protected EEFWidgetDescriptionImpl()

### Method Detail

#### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

Overrides:
  `eStaticClass` in class `EEFControlDescriptionImpl`

#### getLabelExpression

    public java.lang.String getLabelExpression()

Specified by:
  `getLabelExpression` in interface `EEFWidgetDescription`
Returns:
  the value of the 'Label Expression' attribute.
See Also:
  `EEFWidgetDescription.setLabelExpression(String)`, `EefPackage.getEEFWidgetDescription_LabelExpression()`

#### setLabelExpression

    public void setLabelExpression(java.lang.String newLabelExpression)

Specified by:
  `setLabelExpression` in interface `EEFWidgetDescription`
Parameters:
  `newLabelExpression` - the new value of the 'Label Expression' attribute.
See Also:
  `EEFWidgetDescription.getLabelExpression()`

#### getHelpExpression

    public java.lang.String getHelpExpression()

Specified by:
  `getHelpExpression` in interface `EEFWidgetDescription`
Returns:
  the value of the 'Help Expression' attribute.
See Also:
  `EEFWidgetDescription.setHelpExpression(String)`, `EefPackage.getEEFWidgetDescription_HelpExpression()`

#### setHelpExpression

    public void setHelpExpression(java.lang.String newHelpExpression)

Specified by:
  `setHelpExpression` in interface `EEFWidgetDescription`
Parameters:
  `newHelpExpression` - the new value of the 'Help Expression' attribute.
See Also:
  `EEFWidgetDescription.getHelpExpression()`

#### getIsEnabledExpression

    public java.lang.String getIsEnabledExpression()

Specified by:
  `getIsEnabledExpression` in interface `EEFWidgetDescription`
Returns:
  the value of the 'Is Enabled Expression' attribute.
See Also:
  `EEFWidgetDescription.setIsEnabledExpression(String)`, `EefPackage.getEEFWidgetDescription_IsEnabledExpression()`

#### setIsEnabledExpression

    public void setIsEnabledExpression(java.lang.String newIsEnabledExpression)

Specified by:
  `setIsEnabledExpression` in interface `EEFWidgetDescription`
Parameters:
  `newIsEnabledExpression` - the new value of the 'Is Enabled Expression' attribute.
See Also:
  `EEFWidgetDescription.getIsEnabledExpression()`

#### getPropertyValidationRules

    public org.eclipse.emf.common.util.EList<EEFPropertyValidationRuleDescription> getPropertyValidationRules()

Specified by:
  `getPropertyValidationRules` in interface `EEFWidgetDescription`
Returns:
  the value of the 'Property Validation Rules' reference list.
See Also:
  `EefPackage.getEEFWidgetDescription_PropertyValidationRules()`, `EEFPropertyValidationRuleDescription.getTargets()`

#### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseAdd` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `EEFControlDescriptionImpl`

#### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `EEFControlDescriptionImpl`

#### eUnset

    public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `EEFControlDescriptionImpl`

#### eIsSet

    public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `EEFControlDescriptionImpl`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `EEFControlDescriptionImpl`